Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.skype.api
Enum Sms.SETBODYRESULT

    java.lang.Object
      java.lang.Enum<Sms.SETBODYRESULT>
          com.skype.api.Sms.SETBODYRESULT

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<Sms.SETBODYRESULT>

Enclosing class:
  Sms

    public static enum Sms.SETBODYRESULT

extends java.lang.Enum<Sms.SETBODYRESULT>

Enum Constant Summary
`BODY_INVALID` body not set.
`BODY_LASTCHAR_IGNORED` last unicode char was ignored, as some of the text would be deleted due to conversion
`BODY_OK` body was set OK
`BODY_TRUNCATED` body too long.

Method Summary
`static Sms.SETBODYRESULT` | `fromString(java.lang.String s)`
`static Sms.SETBODYRESULT` | `get(int code)`
`int` | `getId()`
`static Sms.SETBODYRESULT` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static Sms.SETBODYRESULT[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### BODY_INVALID

    public static final Sms.SETBODYRESULT BODY_INVALID

  body not set. message status wrong or invalid, or body not valid utf8 string

### BODY_TRUNCATED

    public static final Sms.SETBODYRESULT BODY_TRUNCATED

  body too long. set, but truncated. charsUntilNextChunk contains maxChunks value

### BODY_OK

    public static final Sms.SETBODYRESULT BODY_OK

  body was set OK

### BODY_LASTCHAR_IGNORED

    public static final Sms.SETBODYRESULT BODY_LASTCHAR_IGNORED

  last unicode char was ignored, as some of the text would be deleted due to conversion

Method Detail

### values

    public static Sms.SETBODYRESULT[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (Sms.SETBODYRESULT c : Sms.SETBODYRESULT.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static Sms.SETBODYRESULT valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

### getId

    public int getId()

### get

    public static Sms.SETBODYRESULT get(int code)

### fromString

    public static Sms.SETBODYRESULT fromString(java.lang.String s)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2010, 2011 Skype Technologies. All Rights Reserved.